gpg: Print a warning if the subkey expiration may not be what you want.
authorWerner Koch <wk@gnupg.org>
Sun, 22 Feb 2015 04:10:25 +0000 (23:10 -0500)
committerWerner Koch <wk@gnupg.org>
Mon, 23 Feb 2015 09:36:18 +0000 (10:36 +0100)
commit8baf452bb308a59478c9148109f4c78941170ecc
treeb6fd0425807e83d7cc4446137a8473ad36a46162
parentff53cf06e966dce0daba5f2c84e03ab9db2c3c8b
gpg: Print a warning if the subkey expiration may not be what you want.

* g10/keyedit.c (subkey_expire_warning): New.
keyedit_menu): Call it when needed.
--
GnuPG-bug-id: 1715

The heuristic to detect a problem is not very advanced but it should
catch the most common cases.

(backported from commit ae3d1bbb65b65cf3c57bb14886be120f5e31635d)

[dkg: rebased to STABLE-BRANCH-1-4]
Signed-off-by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
g10/keyedit.c